Jump to content
  • Advertisement
Sign in to follow this  
cpp forever

Need to check Windows version in order to load uxtheme?

This topic is 4655 days old which is more than the 365 day threshold we allow for new replies. Please post a new topic.

If you intended to correct an error in the post then please contact us.

Recommended Posts

I have currently implementing some uxtheme-based functions. I'm loading uxtheme with LoadLibrary. If it fails than I don't use my functions. My question: do I need to check Window version before loading uxtheme? May it be possible to install (crazy, but...) uxtheme under some Win9x systems?

Share this post


Link to post
Share on other sites
Advertisement
No, don't bother to check the windows version. Even if it is XP, the 'Themes' service might be disabled anyway. LoadLibrary exists in all Windows versions. Checking the result of LoadLibrary and testing your program with the 'Themes' service disabled should be enough.

Share this post


Link to post
Share on other sites
Sign in to follow this  

  • Advertisement
×

Important Information

By using GameDev.net, you agree to our community Guidelines, Terms of Use, and Privacy Policy.

Participate in the game development conversation and more when you create an account on GameDev.net!

Sign me up!